Update a built-in target tool
curl --request PATCH \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/targets/{targetId}/tools/{toolId} \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"enabled": true,
"config": {
"domainFilters": {
"allowedDomains": [
"docs.example.com"
],
"blockedDomains": [
"internal.example.com"
]
}
}
}
'const options = {
method: 'PATCH',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
config: {
domainFilters: {allowedDomains: ['docs.example.com'], blockedDomains: ['internal.example.com']}
}
})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/targets/{targetId}/tools/{toolId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"enabled": true,
"toggleable": true,
"origin": "target_setting",
"capability": "read",
"runtimeKind": "provider_native",
"visibility": {
"appearsInAssistantToolList": true,
"appearsInRunEnabledTools": true,
"appearsInToolCalls": true
},
"permissions": {},
"readiness": {},
"config": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Agent capabilities and target tools
Update a built-in target tool
Update a built-in target tool
curl --request PATCH \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/targets/{targetId}/tools/{toolId} \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"enabled": true,
"config": {
"domainFilters": {
"allowedDomains": [
"docs.example.com"
],
"blockedDomains": [
"internal.example.com"
]
}
}
}
'const options = {
method: 'PATCH',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
config: {
domainFilters: {allowedDomains: ['docs.example.com'], blockedDomains: ['internal.example.com']}
}
})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/targets/{targetId}/tools/{toolId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"enabled": true,
"toggleable": true,
"origin": "target_setting",
"capability": "read",
"runtimeKind": "provider_native",
"visibility": {
"appearsInAssistantToolList": true,
"appearsInRunEnabledTools": true,
"appearsInToolCalls": true
},
"permissions": {},
"readiness": {},
"config": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Example:
"5b006e4c-509c-458a-9f02-5aafbdc01ade"
Available options:
web_search, target_insights Example:
"web_search"
Response
Updated built-in target tool.
Available options:
target_setting, platform_native Available options:
read, write Available options:
provider_native, function Show child attributes
Show child attributes